//.################################################
//# Copyright © 2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
//using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using TestApplicationDomainModel;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;
using Evolving.TrueView.UI;
using System.Drawing;
using System.Windows.Forms;
using TestApplicationDomainModel.UserInterface;

namespace TestApplication
{

    public class CustomViewPresenter : IPresenterInfrastructureService<CustomViewExample>
    {

        public void ApplyStyle(CustomViewExample domainObject, System.Reflection.MemberInfo memberInfo, IStyleArgs memberStyle)
        {
        }

        public void ApplyStyle(CustomViewExample domainObject, IStyleArgs objectStyle)
        {
        }

        public Control CreateAdornmentFor(CustomViewExample domainObject)
        {
            return null;
        }

        public Control CreateAdornmentFor(CustomViewExample domainObject, System.Reflection.PropertyInfo propertyInfo)
        {
            return null;
        }

        public Control CreateViewFor(CustomViewExample domainObject)
        {
            var view = new CustomViewForm();
            return view;
        }

    }
}
